summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2019-02-01 23:36:15 +0000
committer Eric Hameleers <alien@slackware.com>2019-02-01 23:36:15 +0000
commit624ec38f2f2333b7d4c7318f2875c77cd44a358b (patch)
treee3cc52182712a7b67266401d8c8ceeaec4ce0e86
parent0c5ae87a45edb4695ee2a0f9df4dbe9954ddbc72 (diff)
downloadmultilib-624ec38f2f2333b7d4c7318f2875c77cd44a358b.tar.gz
multilib-624ec38f2f2333b7d4c7318f2875c77cd44a358b.tar.xz
Follow Pat's Slackware update for glibc. Also, fix the compilation.
-rwxr-xr-xsource/current/glibc/glibc-multilib.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/source/current/glibc/glibc-multilib.SlackBuild b/source/current/glibc/glibc-multilib.SlackBuild
index 134a49e..42080f9 100755
--- a/source/current/glibc/glibc-multilib.SlackBuild
+++ b/source/current/glibc/glibc-multilib.SlackBuild
@@ -32,7 +32,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=glibc
VERSION=${VERSION:-2.29}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-1alien}
+BUILD=${BUILD:-2alien}
# I was considering disabling NSCD, but MoZes talked me out of it. :)
#DISABLE_NSCD=" --disable-nscd "
@@ -98,7 +98,7 @@ esac
case $ARCH in
x86_64)
TARGET=${TARGET:-x86_64}
- TARGET32=${TARGET32:-i486}
+ TARGET32=${TARGET32:-i586}
;;
i586)
# This should be i586 for all 32-bit x86 arch:
@@ -166,6 +166,8 @@ apply_patches() {
zcat $CWD/glibc.ru_RU.CP1251.diff.gz | patch -p1 --verbose || exit 1
# Add a C.UTF-8 locale:
zcat $CWD/glibc-c-utf8-locale.patch.gz | patch -p1 --verbose || exit 1
+ # Don't use AM/PM format for date(1). That's just plain crazy.
+ zcat $CWD/glibc-2.29.en_US.no.am.pm.date.format.diff.gz | patch -p1 --verbose || exit 1
if [ $BOOTSTRP -eq 1 ] ; then
# Multilib - Disable check for forced unwind (Patch from eglibc) since we
# do not have a multilib glibc yet to link to;
@@ -279,6 +281,7 @@ if [ "x$LIBDIRSUFFIX" = "x64" ]; then
export TARGET=$TARGET32
export LIBDIRSUFFIX=
export CC="gcc -m32"
+ export CXX="g++ -m32"
export OPTIMIZ="-O3 -march=i586 -mtune=i686"
build_glibc
) || exit $?